Bug 145381 - CAN-2005-0078 password bypass in kde screensaver
Summary: CAN-2005-0078 password bypass in kde screensaver
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kdebase   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=moderate,embargoed=20050126
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-17 21:38 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 16:43:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue. (1.74 KB, patch)
2005-01-17 21:38 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:009 high SHIPPED_LIVE Important: kdelibs, kdebase security update 2005-02-10 05:00:00 UTC

Description Josh Bressers 2005-01-17 21:38:10 UTC
Created attachment 109890 [details]
Proposed patch for this issue.

Comment 1 Josh Bressers 2005-01-17 21:38:10 UTC
Debian reported this to vendor-sec on 2005-01-16

--------------------------------------
This only affects KDE older than 3.0.5
--------------------------------------

Raphaël Enrici discovered that the KDE screensaver can crash under
certain local circumstances.  This can be exploited by an attacker
with physical access to the workstation to take over the desktop
session.

When kscreensaver has locked the screen and the user disappears
getpwuid() returns NULL which is not taken care of.  As a result
the screensaver will crash.  In a version more recent than 2.2
the screensaver and locker are differnt processes, but the locker
has the same issues, until it was fixed in November 2002 and made
it into KDE 3.0.5.

For older versions of KDE the attached patch or a forward port will
fix this problem.


This issue only affects RHEL2.1

Comment 2 Ngo Than 2005-01-20 14:40:07 UTC
it's fixed in kdebase-2.2.2-14

Comment 3 Mark J. Cox 2005-01-28 08:53:08 UTC
Now public

Comment 4 Josh Bressers 2005-02-10 16:43:13 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-009.html



Note You need to log in before you can comment on or make changes to this bug.